Page MenuHomePhabricator | MITK

No error message displayed when incorrectly using Polhemus tracker
Open, NormalPublic

Description

  • Unplugging one sensor while tracking gives no error or warning, but stops the tracking completely.
  • Editing the tools in the Tool Manager, namely changing to a wrong identifier does not lead to any error or warning, and tracking still works fine.

Event Timeline

aguilera created this task.Feb 6 2018, 4:45 PM
aguilera triaged this task as Normal priority.
seitela renamed this task from Robustness test with Polhemus tracker to No error message displayed when incorrectly using Polhemus tracker.Feb 6 2018, 5:18 PM
seitela moved this task from Backlog to 2018 - Release relevant on the IGT board.Mar 2 2018, 2:42 PM
seitela assigned this task to aguilera.Mar 5 2018, 10:16 AM
seitela moved this task from 2018 - Release relevant to In Progress on the IGT board.
  • Unplugging one sensor while tracking gives no error or warning, but stops the tracking completely.

The id of the last data frame is not updated after being unplugged.

When unplugging the sensor, the tracking tool coordinate system is not anymore displayed inside the tracking surface. Instead, it appears in a point far away (the 3D display may needed to be moved in order to see it). Consequently, the coordinates change to a range 900-1300 and stay with those static values en the last data frame. The same procedure is reproduced in the Polhemus tracking software (PiMgr), and the tracked tool moves to a position far away as well.

One possible solution could be to calculate the difference between the last two data frame positions, and in case of being too big, popping up a MITK error.

Tried to take into account the change in the tool co-ordinates. But the tool co-ordinates doesn't change in every frame read. So there is no robust way to detect the unplugging of tool via the change in tool co-ordinates .

sridhara moved this task from In Progress to Backlog on the IGT board.Mar 19 2018, 5:05 PM
seitela closed this task as Wontfix.Mar 27 2018, 2:29 PM
seitela reopened this task as Open.Aug 9 2018, 4:17 PM

This should be re-investigated. Not clear yet why a detection of a sudden change in coordinate values is not possible.
Detection of unplugging the sensor / the field generator is an important security feature.